unit SEE64;

{SEE64.PAS, Version 8.4 [Delphi for Win64]}

interface

const

  SEE_MIN_RESPONSE_WAIT   = 1;
  SEE_MAX_RESPONSE_WAIT   = 2;
  SEE_CONNECT_WAIT        = 3;
  SEE_DISABLE_MIME        = 4;
  SEE_QUOTED_PRINTABLE    = 8;
  SEE_AUTO_CALL_DRIVER    = 9;
  SEE_FILE_PREFIX         = 10;
  SEE_MAX_SMTP_WAIT       = 11;
  SEE_MAX_POP3_WAIT       = 12;
  SEE_SLEEP_TIME          = 13;
  SEE_DECODE_UNNAMED      = 14;
  SEE_SMTP_PORT           = 15;
  SEE_POP3_PORT           = 16;
  SEE_MAX_LINE_LENGTH     = 17;
  SEE_BLOCKING_MODE       = 18;
  SEE_ALLOW_8BITS         = 19;
  SEE_LOG_FILE            = 20;
  SEE_HIDE_SAVED_MSG      = 21;
  SEE_HIDE_TO_ADDR        = 22;
  SEE_ADDRESS_DELIMITER   = 23;
  SEE_WSACLEANUP          = 24;
  SEE_PATH_DELIMITER      = 25;
  SEE_ATTACH_DELIMITER    = 26;
  SEE_ENABLE_IMAGE        = 27;
  SEE_RAW_MODE            = 28;
  SEE_ENABLE_ESMTP        = 29;
  SEE_ENABLE_APOP         = 30;
  SEE_ATTACH_BASE_NUMBER  = 31;
  SEE_IGNORE_REJECTED     = 32;
  SEE_WRITE_CONTENT_TYPE  = 33;
  SEE_SET_FILE_PREFIX     = 34;
  SEE_HTML_CHARSET        = 35;
  SEE_HIDE_HEADERS        = 36;
  SEE_KEEP_RFC822_INTACT  = 37;
  SEE_IMAP_PORT           = 38;
  SEE_EXPUNGE_ON_CLOSE    = 39;
  SEE_GUT_ATTACHMENTS     = 40;
  SEE_ALLOW_PARTIAL       = 41;
  SEE_QUOTE_ATTACHMENT    = 42;
  SEE_SHOW_PASSWORDS      = 43;
  
  CHARSET_BLANK           = 0;
  CHARSET_US_ASCII        = 1;
  CHARSET_8859            = 4;
  CHARSET_ISO_8859_1      = 4;
  CHARSET_ISO_8859_8      = 5;
  CHARSET_WIN_1252        = 6;
  CHARSET_WIN_1255        = 7;
  CHARSET_UTF8            = 8;
  CHARSET_ISO_8859_2      = 10;
  CHARSET_ISO_8859_7      = 11;
  CHARSET_WIN_1250        = 12;
  CHARSET_ISO_8859_3      = 13;
  CHARSET_ISO_8859_4      = 14;

  SEE_GET_ERROR_TEXT      = 1;
  SEE_GET_COUNTER         = 2;
  SEE_GET_RESPONSE        = 3;
  SEE_GET_SOCK_ERROR      = 4;

  SEE_GET_MESSAGE_BYTES_READ  = 10;
  SEE_GET_ATTACH_BYTES_READ   = 11;
  SEE_GET_TOTAL_BYTES_READ    = 12;
  SEE_GET_MESSAGE_BYTES_SENT  = 13;
  SEE_GET_ATTACH_BYTES_SENT   = 14;
  SEE_GET_TOTAL_BYTES_SENT    = 15;
  SEE_GET_VERSION             = 16;
  SEE_GET_MSG_COUNT           = 17;
  SEE_GET_MSG_SIZE            = 18;
  SEE_GET_BUFFER_COUNT        = 19;
  SEE_GET_CONNECT_STATUS      = 20;
  SEE_GET_REGISTRATION        = 21;
  SEE_GET_ATTACH_COUNT        = 22;
  SEE_GET_LAST_RESPONSE       = 23;
  SEE_GET_VERIFY_STATUS       = 24;
  SEE_GET_SERVER_IP           = 25;
  SEE_GET_BUILD               = 26;
  SEE_GET_SOCKET              = 27;
  SEE_GET_LOCAL_IP            = 28;
  SEE_GET_ATTACH_NAMES        = 29;
  SEE_GET_LAST_RECIPIENT      = 30;
  SEE_GET_AUTH_PROTOCOLS      = 31;
  SEE_GET_ATTACH_TYPES        = 32;
  SEE_GET_ATTACH_IDS          = 33;
  SEE_GET_UIDVALIDITY         = 34;
  SEE_GET_CUSTOMER_ID         = 35;
  SEE_GET_LAST_ERROR          = 36;
  SEE_GET_KEYCODE             = 37;

  SEE_COPY_BUFFER             = 40;
  SEE_WRITE_BUFFER            = 41;

  SEE_SET_REPLY               = 50;
  SEE_SET_HEADER              = 51;
  SEE_WRITE_TO_LOG            = 52;
  SEE_SET_FROM                = 53;
  SEE_SET_CONTENT_TYPE        = 54;
  SEE_SET_TRANSFER_ENCODING   = 55;
  SEE_ADD_HEADER              = 56;
  SEE_SET_SECRET              = 57;
  SEE_SET_USER                = 58;
  SEE_SET_TEXT_MESSAGE        = 59;
  SEE_FORCE_INLINE            = 60;
  SEE_SET_ATTACH_CONTENT_TYPE = 61;
  SEE_AUTHENTICATE_PROTOCOL   = 62;
  SEE_SET_CONTENT_TYPE_PREFIX = 63;
  SEE_ENABLE_XMAILER          = 64;
  SEE_SET_DEFAULT_ZONE        = 65;
  SEE_SET_ATTACH_DESCRIPTION  = 66;
  SEE_REPLACE_WITH_COMMAS     = 67;
  SEE_SET_MULTIPART           = 68;
  SEE_SET_TIME_ZONE           = 69;
  SEE_SET_RAWFILE_PREFIX      = 70;
  SEE_SET_IMAP_LIST_ARG       = 71;
  SEE_SET_FOOTER              = 72;
  SEE_SET_LOCAL_IP            = 73;
  SEE_SET_HELO_STRING         = 74;
  SEE_SET_CONNECT_ATTEMPTS    = 75;
  SEE_REPLACE_UNDERSCORES     = 76;
  SEE_SET_RCPT_TRACE_FILE     = 77;

  QUOTED_OFF        =  0;
  QUOTED_PLAIN      =  1;
  QUOTED_HTML       =  2;
  QUOTED_RICH       =  3;
  QUOTED_8859       =  4;
  QUOTED_ISO_8859_1 =  4;
  QUOTED_ISO_8859_8 =  5;
  QUOTED_WIN_1252   =  6;
  QUOTED_WIN_1255   =  7;
  QUOTED_USER       =  9;
  QUOTED_ISO_8859_2 = 10;
  QUOTED_ISO_8859_7 = 11;
  QUOTED_WIN_1250   = 12;
  QUOTED_ISO_8859_3 = 13;
  QUOTED_ISO_8859_4 = 14; 
  QUOTED_UTF8       = 15;
  
  BASE64_UTF8       = 30;
  
  INLINE_TEXT_OFF         = 0;
  INLINE_TEXT_INLINE      = 1;
  INLINE_TEXT_ATTACHMENT  = 2;

  AUTHENTICATE_CRAM    = 1;
  AUTHENTICATE_LOGIN   = 2;
  AUTHENTICATE_PLAIN   = 4;
  AUTHENTICATE_XOAUTH2 = 8;


  CONTENT_TYPE_DEFAULT     = 0;
  CONTENT_TYPE_MIXED       = 1;
  CONTENT_TYPE_ALTERNATIVE = 2;
  CONTENT_TYPE_RELATED     = 3;

  IMAP_FLAG_SEEN       = 1;
  IMAP_FLAG_ANSWERED   = 2;
  IMAP_FLAG_FLAGGED    = 4;
  IMAP_FLAG_DELETED    = 8;
  IMAP_FLAG_DRAFT      =16;
  IMAP_FLAG_RECENT     =32;
  
  IMAP_GET_FLAGS       = 1;
  IMAP_SET_FLAGS       = 2;
  IMAP_DEL_FLAGS       = 3;
  
  IMAP_SEARCH_MSG_COUNT = 1;
  IMAP_SEARCH_FIRST_MSG = 2;
  IMAP_SEARCH_NEXT_MSG  = 3;

  SEE_GET_DATE         = 1;
  SEE_GET_FROM         = 2;
  SEE_GET_REPLY_TO     = 3;
  SEE_GET_SUBJECT      = 4;
  SEE_GET_TO           = 5;
  SEE_GET_CC           = 6;
  SEE_GET_CONTENT_TYPE = 7;

  SSL_CONFIG_OPTIONS  = 1;
  
function seeAbort(Chan:Integer):Integer; stdcall;
function seeAttach(NbrChans:Integer; KeyCode:LongInt):Integer; stdcall;
function seeAttachmentParams (ContentType:PAnsiChar; XferEncoding:PAnsiChar; Disposition:PAnsiChar; Description:PAnsiChar):Integer; stdcall;
function seeByteToShort(Buffer:PAnsiChar):Integer; stdcall; 
function seeClose(Chan:Integer):Integer; stdcall;
function seeCommand(Chan:Integer; Text:PAnsiChar):Integer; stdcall;
function seeConfigSSL(ConfigCode:Integer; ConfigPtr:PAnsiChar):Integer; stdcall;
function seeDebug(Chan:Integer; Index:Integer;  Buffer:PAnsiChar;  BufLen:Integer):Integer; stdcall;
function seeDecodeBuffer(CodedBuf:PAnsiChar; ClearBuf:PAnsiChar; BufLen:Integer):Integer; stdcall;
function seeDecodeUTF8(UTF8Buffer:PAnsiChar; WideBuffer:PAnsiChar):Integer; stdcall;
function seeDecodeUTF8String(UTF8Buffer:PAnsiChar; WideBuffer:PAnsiChar) :Integer; stdcall;
function seeDecodeUU(CodedPtr:PAnsiChar; ClearPtr:PAnsiChar):Integer; stdcall;
function seeDeleteEmail(Chan:Integer; MsgNbr:Integer):Integer; stdcall;
function seeDriver(Chan:Integer):Integer; stdcall;
function seeEncodeBuffer(ClearBuf:PAnsiChar; CodedBuf:PAnsiChar; BufLen:Integer):Integer; stdcall;
function seeEncodeUTF8(UnicodeValue:Integer; UTF8Buffer:PAnsiChar):Integer; stdcall;
function seeEncodeUTF8String(WideBuffer:PAnsiChar; UTF8Buffer:PAnsiChar) :Integer; stdcall;
function seeErrorText(Chan:Integer; Code:Integer;  Buffer:PAnsiChar;  BufLen:Integer):Integer; stdcall;
function seeExtractLine(Source:PAnsiChar; LineNbr:Integer; Buffer:PAnsiChar; BufLen:Integer):Integer; stdcall;
function seeExtractText(Source, Text, Buffer:PAnsiChar; BufLen:Integer):Integer; stdcall;
function seeForwardEmail(Chan:Integer;  Rcpt, CC, BCC , Subj, Msg, Fwd:PAnsiChar):Integer; stdcall;
function seeGetEmailCount(Chan:Integer):Integer; stdcall;
function seeGetEmailFile(Chan:Integer; MsgNbr:Integer;  FileName, EmailDir, AttachDir:PAnsiChar):Integer; stdcall;
function seeGetEmailLines(Chan:Integer; MsgNbr, Lines:Integer;  Buffer:PAnsiChar;  BufLen:Integer):Integer; stdcall;
function seeGetEmailSize(Chan:Integer; MsgNbr:Integer):LongInt; stdcall;
function seeGetEmailUID(Chan:Integer; MsgNbr:Integer; Buffer:PAnsiChar; BufLen:Integer):Integer; stdcall;
function seeGetHeader(Chan,Param:Integer;Buffer:PAnsiChar; BufLen:Integer):Integer; stdcall;
function seeGetTicks(Divisor:Integer):Integer; stdcall;
function seeImapConnect(Chan:Integer; Pop3Ptr:PAnsiChar; UserPtr:PAnsiChar; PassPtr:PAnsiChar):Integer; stdcall; 
function seeImapConnectSSL(Chan,ProxyPort,ImapPort:Integer;ImapServer,ImapUser,ImapPass,ProxyIP:PAnsiChar):Integer; stdcall;
function seeImapCopyMBmail(Chan:Integer; Message:Integer; Mailbox:PAnsiChar ):Integer; stdcall; 
function seeImapCreateMB(Chan:Integer; Mailbox:PAnsiChar):Integer; stdcall; 
function seeImapDeleteMB(Chan:Integer; Mailbox:PAnsiChar):Integer; stdcall; 
function seeImapFlags(Chan:Integer; MsgNbr:Integer; Command:Integer; FlagsMask:Integer):Integer; stdcall; 
function seeImapListMB(Chan:Integer; Buffer:PAnsiChar; BufLen:Integer):Integer; stdcall; 
function seeImapMsgNumber(Chan:Integer; Command:Integer):Integer; stdcall; 
function seeImapRenameMB(Chan:Integer; FromName:PAnsiChar; ToName:PAnsiChar):Integer; stdcall; 
function seeImapSearch(Chan:Integer; SearchArgs:PAnsiChar; Buffer:PAnsiChar; BufLen: Integer):Integer; stdcall;         
function seeImapSelectMB(Chan:Integer; Mailbox:PAnsiChar):Integer; stdcall; 
function seeImapSource(Chan:Integer; Filename:PAnsiChar):Integer; stdcall;
function seeIntegerParam(Chan:Integer; Index:Integer;  Value:LongInt):Integer; stdcall;
function seeIsConnected(Chan:Integer):Integer; stdcall;
function seeKillProgram(hProcess:Integer;ExitCode:Integer):Integer; stdcall;
function seeMakeSubject(Text:PAnsiChar; Code:Integer; Buffer:PAnsiChar; BufLen:Integer):Integer; stdcall;
function seeMakeXOAuth2(User:PAnsiChar; Pass:PAnsiChar; Buffer:PAnsiChar):Integer; stdcall;
function seePop3Connect(Chan:Integer; Server, User, Password:PAnsiChar):Integer; stdcall;
function seePop3ConnectSSL(Chan,ProxyPort,Pop3Port:Integer;Pop3Server,Pop3User,Pop3Pass,ProxyIP:PAnsiChar):Integer; stdcall;
function seePop3Source(Chan:Integer; Filename:PAnsiChar):Integer; stdcall;
function seeQuoteBuffer(ClearBuf:PAnsiChar; CodedBuf:PAnsiChar; BufLen:Integer):Integer; stdcall;
function seeReadQuoted(PathName:PAnsiChar; Buffer:PAnsiChar; BufLen:Integer; Requested:Integer):Integer; stdcall;
function seeRelease:Integer; stdcall;
function seeSendEmail(Chan:Integer; Rcpt, CC, BCC , Subj, Msg, Attach:PAnsiChar):Integer; stdcall;
function seeSendHTML(Chan:Integer;Rcpt,CC,BCC,Subj,HTML,Image,AltTxt,Attach:PAnsiChar):Integer; stdcall;
function seeSetCertAuth(CA_Dir:PAnsiChar; CA_File:PAnsiChar):Integer; stdcall;
function seeSetErrorText(ErrCode:Integer; ErrText:PAnsiChar):Integer; stdcall; 
function seeSetFileBuffer(Chan:Integer; Index:Integer;  Buffer:PAnsiChar;  BufLen:Integer):Integer; stdcall;
function seeSetProxySSL(ProxyCode,ProxyFlags:Integer;ProxyDir,ProxyCert,ProxyExe:PAnsiChar):Integer; stdcall;
function seeShortToByte(Buffer:PAnsiChar):Integer; stdcall; 
function seeSleep(MilliSeconds:Integer):Integer; stdcall;
function seeSmtpConnect(Chan:Integer; Server, From, Reply:PAnsiChar):Integer; stdcall;
function seeSmtpConnectSSL(Chan,ProxyPort,SmtpPort:Integer;SmtpServer,SmtpUser,SmtpPass,From,Reply,ProxyIP:PAnsiChar):Integer; stdcall; 
function seeSmtpTarget(Chan:Integer; Filename:PAnsiChar; FromPtr:PAnsiChar; ReplyTo:PAnsiChar):Integer; stdcall; 
function seeStartProgram(CmdLine:PAnsiChar):Integer; stdcall;
function seeStatistics(Chan:Integer; Index:Integer):Integer; stdcall;
function seeStringParam(Chan:Integer; Index:Integer;  Value:PAnsiChar):Integer; stdcall;
function seeTestConnect(Chan:Integer; Server:PAnsiChar; Port:Integer; Buffer:PAnsiChar; BufLen:Integer):Integer; stdcall;
function seeTestFileSet(Chan:Integer;FileSet:PAnsiChar;Buffer:PAnsiChar;BufLen:Integer):Integer; stdcall;
function seeUnQuoteBuffer(SrcPtr:PAnsiChar; DstPtr:PAnsiChar; DstLen:Integer):Integer; stdcall;
function seeVerifyFormat(EmailAddr:PAnsiChar):Integer; stdcall;
function seeVerifyUser(Chan:Integer; EmailAddr:PAnsiChar):Integer; stdcall;

implementation

function seeAbort; external 'see64.dll';
function seeAttach; external 'see64.dll';
function seeAttachmentParams; external 'see64.dll';  
function seeByteToShort; external 'see64.dll';
function seeClose; external 'see64.dll';
function seeCommand; external 'see64.dll';
function seeConfigSSL; external 'see64.dll';
function seeDebug; external 'see64.dll';
function seeDecodeBuffer; external 'see64.dll';
function seeDecodeUTF8; external 'see64.dll';
function seeDecodeUTF8String; external 'see64.dll';
function seeDecodeUU; external 'see64.dll';
function seeDeleteEmail; external 'see64.dll';
function seeDriver; external 'see64.dll';
function seeEncodeBuffer; external 'see64.dll';
function seeEncodeUTF8; external 'see64.dll';
function seeEncodeUTF8String; external 'see64.dll';
function seeErrorText; external 'see64.dll';
function seeExtractLine; external 'see64.dll';
function seeExtractText; external 'see64.dll';
function seeForwardEmail; external 'see64.dll';
function seeGetEmailCount; external 'see64.dll';
function seeGetEmailFile; external 'see64.dll';
function seeGetEmailLines; external 'see64.dll';
function seeGetEmailSize; external 'see64.dll';
function seeGetEmailUID; external 'see64.dll';
function seeGetHeader; external 'see64.dll';
function seeGetTicks; external 'see64.dll';
function seeImapConnect; external 'see64.dll';
function seeImapConnectSSL; external 'see64.dll';
function seeImapCopyMBmail; external 'see64.dll';
function seeImapCreateMB; external 'see64.dll';
function seeImapDeleteMB; external 'see64.dll'; 
function seeImapFlags; external 'see64.dll'; 
function seeImapListMB; external 'see64.dll';
function seeImapMsgNumber; external 'see64.dll'; 
function seeImapRenameMB; external 'see64.dll';
function seeImapSearch; external 'see64.dll';       
function seeImapSelectMB; external 'see64.dll';
function seeImapSource; external 'see64.dll';
function seeIntegerParam; external 'see64.dll';
function seeIsConnected; external 'see64.dll';
function seeKillProgram; external 'see64.dll';
function seeMakeSubject; external 'see64.dll';
function seeMakeXOAuth2; external 'see64.dll';
function seePop3Connect; external 'see64.dll';
function seePop3ConnectSSL; external 'see64.dll';
function seePop3Source; external 'see64.dll';
function seeQuoteBuffer; external 'see64.dll';
function seeReadQuoted; external 'see64.dll';
function seeRelease; external 'see64.dll';
function seeSendEmail; external 'see64.dll';
function seeSendHTML; external 'see64.dll';
function seeSetCertAuth; external 'see64.dll';
function seeSetErrorText; external 'see64.dll';
function seeSetFileBuffer; external 'see64.dll';
function seeSetProxySSL; external 'see64.dll';
function seeShortToByte; external 'see64.dll';
function seeSleep; external 'see64.dll';
function seeSmtpConnect; external 'see64.dll';
function seeSmtpConnectSSL; external 'see64.dll';
function seeSmtpTarget; external 'see64.dll';
function seeStartProgram; external 'see64.dll';
function seeStatistics; external 'see64.dll';
function seeStringParam; external 'see64.dll';
function seeTestConnect; external 'see64.dll';
function seeTestFileSet; external 'see64.dll';
function seeUnQuoteBuffer; external 'see64.dll';
function seeVerifyFormat; external 'see64.dll';
function seeVerifyUser; external 'see64.dll';
end.



